wibble::commandline::MemoryManager Class Reference

Keep track of various wibble::commandline components, and deallocate them at object destruction. More...

`#include <core.h>`

## Public Member Functions

| ~MemoryManager ()
template<typename T >
T * | add (T *item)

## Detailed Description

Keep track of various wibble::commandline components, and deallocate them at object destruction.

If an object is added multiple times, it will still be deallocated only once.

## Constructor & Destructor Documentation

wibble::commandline::MemoryManager::~MemoryManager | ( |  | ) |

inline

## Member Function Documentation

template<typename T >

T* wibble::commandline::MemoryManager::add | ( | T * | item | ) |

inline

Referenced by wibble::commandline::Engine::create(), wibble::commandline::OptionGroup::create(), wibble::commandline::Engine::createEngine(), and wibble::commandline::Engine::createGroup().

The documentation for this class was generated from the following file:

- core.h